// main: ../main.less

.reset {
    margin: 0;
    padding: 0;
}

* {
    box-sizing: border-box;
}

html {
    .reset();

    font-size: 10px;
    font-family: "Mukta", sans-serif;

    body {
        .reset();

        display: grid;
        grid-template-rows: auto 1fr;

        width: 100vw;
        height: 100vh;
        padding-top: 5rem;

        background-color: @white;

        header {
            display: grid;
            grid-template-columns: 5rem 1fr auto;
            grid-gap: 0.5rem;
            height: 5rem;
            width: 100vw;

            position: fixed;
            top: 0;
            padding: 0 1rem;

            -webkit-backdrop-filter: blur(1rem);
            backdrop-filter: blur(1rem);
            border-bottom: 1px solid @lightGray;
            z-index: 10;

            img {
                width: 5rem;
                height: 5rem;
            }

            span {
                align-self: end;

                font-size: 3rem;
                font-weight: 300;
                line-height: 3.4rem;
            }
        }

        .page {
            display: grid;
            grid-row-gap: 10rem;
            align-self: center;
            align-items: center;
            justify-items: center;
            padding: 10rem 0;
        }

        .modal {
            display: grid;
            max-width: 60rem;
            max-height: 60rem;
            padding: 1rem;

            position: absolute;
            justify-self: center;
            align-self: center;

            -webkit-backdrop-filter: blur(1rem);
            backdrop-filter: blur(1rem);
            background-color: rgba(251, 251, 241, 0.5);
            box-shadow: rgba(0, 0, 0, 0.16) 0rem 0.1rem 0.4rem;
            border: 0.1rem solid @lightGray;
            border-radius: 2rem;
            z-index: 3;

            .title {
                display: grid;
                grid-template-columns: 1fr auto;

                align-items: start;

                font-size: 2rem;

                .close {
                    display: grid;
                    height: 3rem;
                    width: 3rem;

                    align-items: center;
                    justify-items: center;

                    color: @notification-error;
                    cursor: pointer;
                    border-radius: 2rem;
                    
                    &:hover {
                        background-color: @buttonRed;
                    }
                }
            }

            .body {
                display: grid;
                grid-row-gap: 1rem;
                padding-top: 2rem;

                font-size: 1.6rem;
            }

            .foot-note {
                padding-top: 1.5rem;

                font-size: 1.3rem;
            }

            .left {
                justify-self: start;
            }
            .center {
                justify-self: center;
            }
            .right {
                justify-self: end;
            }
        }
    }
}

.hidden {
    display: none !important;
}